Subject: Re: Linux 2.6.35/TIPC 2.0 ABI breaking changes

From: Leandro Lucarella <[email-masked]>
Date: Wed, 20 Oct 2010 16:23:50 -0300

Leandro Lucarella, el 20 de octubre a las 15:28 me escribiste:
> Jon Maloy, el 20 de octubre a las 14:10 me escribiste:
> > <...>
> > > > 
> > > > Remember, permitting both is a superset of the current one 
> > > (NBO only) 
> > > > so it is fully backwards compatible. We break absolutly nothing by 
> > > > permitting this.
> > > > 
> > > Thats effectively reverting both our patches though, isn't it 
> > > (not that I'm disagreeing with it, just looking for 
> > > clarification).  If we revert my patch and reintroduce the 
> > > htohl mechanism which tracks endianess, we might as well 
> > > revert the TIPC_SUB_SERVICE flag as well, yeah?
> > 
> > Absolutely. I think it was a mistake to change that value.
> > But I don't think we need to reintroduce the htohl(). That
> > was just one way of doing it. If I understood your suggestion
> > from yesterday correctly you converted the whole message within
> > one if()clause, without any htohl(). I have have no problem with 
> > that approach.
> 
> There is a difference between both solutions, the htohl() version
> tracked the need for swap as a struct subscription member (which was
> used when sending back events). Neils patch doesn't do that tracking.
> I don't really know the implications of this, but maybe it would be
> a wise idea to stay in the safe side and revert both patches for now.

BTW, I tried 2.6.37 reverting both offending patches and everything
seems to work well.

-- 
Leandro Lucarella (AKA luca)                     http://llucax.com.ar/
----------------------------------------------------------------------
GPG Key: 5F5A8D05 (F8CD F9A7 BF00 5431 4145  104C 949E BFB6 5F5A 8D05)
----------------------------------------------------------------------
Vivimos en una época muy contemporánea, Don Inodoro...
	-- Mendieta

------------------------------------------------------------------------------
Nokia and AT&T present the 2010 Calling All Innovators-North America contest
Create new apps & games for the Nokia N8 for consumers in  U.S. and Canada
$10 million total in prizes - $4M cash, 500 devices, nearly $6M in marketing
Develop with Nokia Qt SDK, Web Runtime, or Java and Publish to Ovi Store 
http://p.sf.net/sfu/nokia-dev2dev
_______________________________________________
tipc-discussion mailing list
[email-masked]
https://lists.sourceforge.net/lists/listinfo/tipc-discussion